/**
 * @license
 * Copyright 2019 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import { WebGPUProgram } from './webgpu_program';
export declare const matMulHeader = "\n  float mm_readA(uint row, uint col);\n  float mm_readB(uint row, uint col);\n  void mm_write(uint row, uint col, float value);\n  void mm_matMul(uint dimAOuter, uint dimInner, uint dimBOuter);";
export declare function makeMatMulSource(): string;
export declare class MatMulProgram implements WebGPUProgram {
    outputShape: number[];
    userCode: string;
    dispatchLayout: {
        x: number[];
        y: number[];
        z: number[];
    };
    dispatch: [number, number, number];
    variableNames: string[];
    workGroupSize: [number, number, number];
    constructor(outputShape: [number, number, number]);
}
